Package com.ocient.auth

# Class LandingPages

java.lang.Object
com.ocient.auth.LandingPages

    public class LandingPages
    extends Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LandingPages()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static String` | `errorHTML​(Map<String,​Object> details)` | Generates an HTML document encoding the error response
`static String` | `successHTML​(String message)` | Generates an HTML document encoding the success response

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LandingPages

public LandingPages()

## Method Details

### successHTML

public static String successHTML​(String message)
Generates an HTML document encoding the success response

Parameters:
  `message` - the success message
Returns:
  an HTML document

### errorHTML

public static String errorHTML​(Map<String,​Object> details)
Generates an HTML document encoding the error response

Parameters:
  `details` - the error details as key-value pairs
Returns:
  an HTML document